using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            string A,B,C;
            ulong a1, a2, a3, a4, a5, a6, najveci;
            string izl,input;

            input = Console.ReadLine();
            A = input.Split(' ')[0];
            B = input.Split(' ')[1];
            C = input.Split(' ')[2];
            a1 = Convert.ToUInt64(A + B + C);
            a2 = Convert.ToUInt64(A + C + B);
            a3 = Convert.ToUInt64(B + A + C);
            a4 = Convert.ToUInt64(B + C + A);
            a5 = Convert.ToUInt64(C + A + B);
            a6 = Convert.ToUInt64(C + B + A);
            najveci = a1;
            if(a2>najveci)
            { najveci = a2; }
            if (a3 > najveci)
            { najveci = a3; }
            if (a4 > najveci)
            { najveci = a4; }
            if (a5 > najveci)
            { najveci = a5; }
            if (a6 > najveci)
            { najveci = a6; }

            Console.WriteLine(najveci);



        }
    }
}